#
# spec file for package python-dnsdiag
#
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-dnsdiag
Version:        1.6.3
Release:        lp152.3.2
Summary:        DNS request auditing toolset
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://dnsdiag.org/
Source:         https://files.pythonhosted.org/packages/source/d/dnsdiag/dnsdiag-%{version}.tar.gz
Source1:        dnseval.1
Source2:        dnsping.1
Source3:        dnstraceroute.1
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-cymruwhois >= 1.6
Requires:       python-dnspython >= 1.15.0
Provides:       dnsdiag
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module cymruwhois >= 1.6}
BuildRequires:  %{python_module dnspython >= 1.15.0}
%endif
%python_subpackages

%description
Set of tools to perform basic audits on your DNS requests and responses to make sure your DNS is working as you expect. Dnsping can be used to measure the response time of a given DNS server for arbitrary requests. Just like a traditional ping utility, it provides similar functionality for DNS requests.

Dnstraceroute can be used to trace the path a DNS request takes to destination. Its purpose is to detect whether a request is redirected or hijacked. This can be done by comparing different DNS queries being sent to the same DNS server using dnstraceroute and observe if there is any difference between the path.

dnseval evaluates multiple DNS resolvers and helps you choose the best DNS server for your network. It is highly recommended to use your own DNS resolver as opposed to a third-party DNS server, but in case you need to choose the best DNS forwarder for your network, dnseval lets you compare different DNS servers from performance (latency) and reliability (loss) point of view. 

%prep
%setup -q -n dnsdiag-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python3_only mv %{buildroot}%{_bindir}/dnseval.py %{buildroot}%{_bindir}/dnseval
%python3_only mv %{buildroot}%{_bindir}/dnstraceroute.py %{buildroot}%{_bindir}/dnstraceroute
%python3_only mv %{buildroot}%{_bindir}/dnsping.py %{buildroot}%{_bindir}/dnsping
install -d -m0755 %{buildroot}%{_mandir}/man1/
install -m0644 %{SOURCE1}  %{buildroot}%{_mandir}/man1/
install -m0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/
install -m0644 %{SOURCE3} %{buildroot}%{_mandir}/man1/

%files %{python_files}
%doc LICENSE README.md
%python3_only %{_bindir}/dnseval
%python3_only %{_bindir}/dnstraceroute
%python3_only %{_bindir}/dnsping
%python3_only %{_mandir}/man1/dnseval.1%{ext_man}
%python3_only %{_mandir}/man1/dnstraceroute.1%{ext_man}
%python3_only %{_mandir}/man1/dnsping.1%{ext_man}
%{python_sitelib}/*

%changelog
* Fri Nov  3 2017 mardnh@gmx.de
- Initial package, version 1.6.3
